package com.yidian.shenghuoquan.newscontent.audio

interface IAudioControl {

    fun start(progress: Int = -1,user:Boolean=true)
    fun next()
    fun previous()
    fun pause()
    fun stop()
    fun isPlaying():Boolean
    fun release()
    fun seekTo(progress: Int)
    fun bindAudioView(view: IAudioView)
}
interface IAudioView{

    fun setPrevEnable(enable:Boolean)
    fun setNextEnable(enable:Boolean)
    fun setPlayEnable(enable:Boolean)
    fun setContent(content:String)
    fun updatePlayUi(isPlay:Boolean)
    fun bindAudioControl(control: IAudioControl)
}